# Class PresentationForm

Object
CodeList<PresentationForm>
PresentationForm

All Implemented Interfaces:
  `Serializable, Comparable<PresentationForm>`

@UML(identifier="CI_PresentationFormCode", specification=ISO_19115) public final class PresentationForm extends CodeList<PresentationForm>
Mode in which the data is represented.

Since:
  2.0
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final PresentationForm`
  `DOCUMENT_DIGITAL`
  Digital representation of a primarily textual item (can contain illustrations also).
  `static final PresentationForm`
  `DOCUMENT_HARDCOPY`
  Representation of a primarily textual item (can contain illustrations also) on paper, photographic material, or other media.
  `static final PresentationForm`
  `IMAGE_DIGITAL`
  Likeness of natural or man-made features, objects, and activities acquired through the sensing of visual or any other segment of the electromagnetic spectrum by sensors, such as thermal infrared, and high resolution radar and stored in digital format.
  `static final PresentationForm`
  `IMAGE_HARDCOPY`
  Likeness of natural or man-made features, objects, and activities acquired through the sensing of visual or any other segment of the electromagnetic spectrum by sensors, such as thermal infrared, and high resolution radar and reproduced on paper, photographic material, or other media for use directly by the human user.
  `static final PresentationForm`
  `MAP_DIGITAL`
  Map represented in raster or vector form.
  `static final PresentationForm`
  `MAP_HARDCOPY`
  Map printed on paper, photographic material, or other media for use directly by the human user.
  `static final PresentationForm`
  `MODEL_DIGITAL`
  Multi-dimensional digital representation of a feature, process, etc.
  `static final PresentationForm`
  `MODEL_HARDCOPY`
  3-dimensional, physical model.
  `static final PresentationForm`
  `PROFILE_DIGITAL`
  Vertical cross-section in digital form.
  `static final PresentationForm`
  `PROFILE_HARDCOPY`
  Vertical cross-section printed on paper, etc.
  `static final PresentationForm`
  `TABLE_DIGITAL`
  Digital representation of facts or figures systematically displayed, especially in columns.
  `static final PresentationForm`
  `TABLE_HARDCOPY`
  Representation of facts or figures systematically displayed, especially in columns, printed on paper, photographic material, or other media.
  `static final PresentationForm`
  `VIDEO_DIGITAL`
  Digital video recording.
  `static final PresentationForm`
  `VIDEO_HARDCOPY`
  Video recording on film.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PresentationForm[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static PresentationForm`
  `valueOf(String code)`
  Returns the presentation form that matches the given string, or returns a new one if none match it.
  `static PresentationForm[]`
  `values()`
  Returns the list of `PresentationForm`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DOCUMENT_DIGITAL

    @UML(identifier="documentDigital", obligation=CONDITIONAL, specification=ISO_19115) public static final PresentationForm DOCUMENT_DIGITAL
    Digital representation of a primarily textual item (can contain illustrations also).

  - ### DOCUMENT_HARDCOPY

    @UML(identifier="documentHardcopy", obligation=CONDITIONAL, specification=ISO_19115) public static final PresentationForm DOCUMENT_HARDCOPY
    Representation of a primarily textual item (can contain illustrations also) on paper, photographic material, or other media.

  - ### IMAGE_DIGITAL

    @UML(identifier="imageDigital", obligation=CONDITIONAL, specification=ISO_19115) public static final PresentationForm IMAGE_DIGITAL
    Likeness of natural or man-made features, objects, and activities acquired through the sensing of visual or any other segment of the electromagnetic spectrum by sensors, such as thermal infrared, and high resolution radar and stored in digital format.

  - ### IMAGE_HARDCOPY

    @UML(identifier="imageHardcopy", obligation=CONDITIONAL, specification=ISO_19115) public static final PresentationForm IMAGE_HARDCOPY
    Likeness of natural or man-made features, objects, and activities acquired through the sensing of visual or any other segment of the electromagnetic spectrum by sensors, such as thermal infrared, and high resolution radar and reproduced on paper, photographic material, or other media for use directly by the human user.

  - ### MAP_DIGITAL

    @UML(identifier="mapDigital", obligation=CONDITIONAL, specification=ISO_19115) public static final PresentationForm MAP_DIGITAL
    Map represented in raster or vector form.

  - ### MAP_HARDCOPY

    @UML(identifier="mapHardcopy", obligation=CONDITIONAL, specification=ISO_19115) public static final PresentationForm MAP_HARDCOPY
    Map printed on paper, photographic material, or other media for use directly by the human user.

  - ### MODEL_DIGITAL

    @UML(identifier="modelDigital", obligation=CONDITIONAL, specification=ISO_19115) public static final PresentationForm MODEL_DIGITAL
    Multi-dimensional digital representation of a feature, process, etc.

  - ### MODEL_HARDCOPY

    @UML(identifier="modelHardcopy", obligation=CONDITIONAL, specification=ISO_19115) public static final PresentationForm MODEL_HARDCOPY
    3-dimensional, physical model.

  - ### PROFILE_DIGITAL

    @UML(identifier="profileDigital", obligation=CONDITIONAL, specification=ISO_19115) public static final PresentationForm PROFILE_DIGITAL
    Vertical cross-section in digital form.

  - ### PROFILE_HARDCOPY

    @UML(identifier="profileHardcopy", obligation=CONDITIONAL, specification=ISO_19115) public static final PresentationForm PROFILE_HARDCOPY
    Vertical cross-section printed on paper, etc.

  - ### TABLE_DIGITAL

    @UML(identifier="tableDigital", obligation=CONDITIONAL, specification=ISO_19115) public static final PresentationForm TABLE_DIGITAL
    Digital representation of facts or figures systematically displayed, especially in columns.

  - ### TABLE_HARDCOPY

    @UML(identifier="tableHardcopy", obligation=CONDITIONAL, specification=ISO_19115) public static final PresentationForm TABLE_HARDCOPY
    Representation of facts or figures systematically displayed, especially in columns, printed on paper, photographic material, or other media.

  - ### VIDEO_DIGITAL

    @UML(identifier="videoDigital", obligation=CONDITIONAL, specification=ISO_19115) public static final PresentationForm VIDEO_DIGITAL
    Digital video recording.

  - ### VIDEO_HARDCOPY

    @UML(identifier="videoHardcopy", obligation=CONDITIONAL, specification=ISO_19115) public static final PresentationForm VIDEO_HARDCOPY
    Video recording on film.

- ## Method Details

  - ### values

    public static PresentationForm[] values()
    Returns the list of `PresentationForm`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public PresentationForm[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<PresentationForm>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static PresentationForm valueOf(String code)
    Returns the presentation form that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.